function [pw_mu, pw_sd] = calculatePulseWidth(data, minProminence)

[~, ncols] = size(data);
pw_mu = zeros(1, ncols);
pw_sd = zeros(1, ncols);

% [~ , thold_cfg, ~] = mep_config();
% minPkDist   = thold_cfg.minPkDist;
for c = 1 : ncols
    [~, ~, pwidths_] = findpeaks(data(:,c), ...
        'MinPeakProminence', minProminence, ...
        'Annotate', 'extents', ...
        'WidthReference', 'halfprom');
    if ~isempty(pwidths_)
        pw_mu(c) = mean(pwidths_);
        pw_sd(c) = std(pwidths_);
    end

end

end

