function data_out = lpFilterEMG(data_in, order, fc, nq)
%   Author: Raymond Chia
%   Date:   29/Mar/2018
%   Summary:
%   LPFILTEREMG takes an array of data with a given number of channels and
%   applies a lowpass filter at the specified order and cutoff frequency 
%   
%   USAGE
%   data_out = lpFilterEMG(data_in, order, fc, nq)
%   
%    
    [b, a] = butter(order, fc/nq, 'low');
    data_out = filter(b,a,data_in);
end
