function [timing_config, thold_config, plt_config] = mep_config()

% stim peak thresholds
minStimPkDist   =  20;
minStimPkHeight = 0.2;

% time windows, all in seconds
mr_start = 0.000;
mr_end   = 0.010;
lr_start = 0.010;
lr_end   = 0.030;

% thresholding configuration
minPkDist = 0.0006;
minPkProm = 0.2;
maxPkWidth = 0.005;
minPkHeight = 0.1;
diff2_thold = 1.5e6;

% interpolation
interp_scale = 2;

% peak windows
% how many seconds to wait until the next peak can be detected
window = 0.00375; % s

% Plotting flags
plot_flag = false;
save_flag = false;
file_name = 'sMEP_W06_B03_ND_20150811_01_C6-_C8+_100uA_trace_fig_';
fig_dir = 'G:\Edgerton\B animals_sMEP files\W06\Group1\Figures\';

timing_fnames = {'mr_start', 'mr_end', 'lr_start', 'lr_end', ...
    'interp_scale', 'window'};

thold_fnames = {'minStimPkDist', 'minStimPkHeight', 'minPkDist', ... 
    'minPkProm', 'maxPkWidth', 'minPkHeight', 'diff2_thold'};

plt_fnames = {'plot_flag', 'save_flag', 'file_name', 'fig_dir'};

timing_field = {mr_start, mr_end, lr_start, lr_end ...
    interp_scale, window};
timing_config = cell2struct(timing_field, timing_fnames, 2);

thold_field = {minStimPkDist, minStimPkHeight, minPkDist, ...
    minPkProm, maxPkWidth, minPkHeight, diff2_thold};
thold_config = cell2struct(thold_field, thold_fnames, 2);

plt_field = {plot_flag, save_flag, file_name, fig_dir};
plt_config = cell2struct(plt_field, plt_fnames, 2);

end
